import { IMTBLWidgetEvents, WalletWidgetParams, WidgetProperties, WidgetType } from '@imtbl/checkout-sdk';
import { Base } from '../BaseWidgetRoot';
export declare class Wallet extends Base<WidgetType.WALLET> {
    protected eventTopic: IMTBLWidgetEvents;
    protected getValidatedProperties({ config }: WidgetProperties<WidgetType.WALLET>): WidgetProperties<WidgetType.WALLET>;
    protected getValidatedParameters(params: WalletWidgetParams): WalletWidgetParams;
    protected render(): void;
}
